Bug 193318 - editors/abiword fails when built with gcc47
Summary: editors/abiword fails when built with gcc47
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on: 199156
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-04 16:42 UTC by Justin Hibbits
Modified: 2015-06-18 22:25 UTC (History)
2 users (show)

See Also:


Attachments
abiword poudriere log (build phase partially removed for attachment size constraints) (56.89 KB, text/x-log)
2014-09-04 16:42 UTC, Justin Hibbits
no flags Details
Successful poudriere build log of abiword 3.0.1 with USE_GCC=yes (961.19 KB, text/plain)
2015-04-04 08:47 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Hibbits freebsd_committer 2014-09-04 16:42:33 UTC
Created attachment 146806 [details]
abiword poudriere log (build phase partially removed for attachment size constraints)

When attempting to build editors/abiword with gcc47 (USE_GCC=yes), I see the following link error:

/bin/sh ../libtool --tag=CXX   --mode=link g++47  -O2 -pipe -mcpu=970 -DLIBICONV_PLUG -Wl,-rpath=/usr/local/lib/gcc47 -fno-strict-aliasing  -DLIBICONV_PLUG -Wl,-rpath=/usr/local/lib/gcc47  --no-undefined -avoid-version -export-dynamic -L/usr/local/lib -Wl,-rpath=/usr/local/lib/gcc47 -L/usr/local/lib/gcc47 -o abiword abiword-UnixMain.o libabiword-2.8.la  -lfribidi -lgthread-2.0 -lwv  -lwmf -lwmflite -lbz2 -lX11 -ljpeg -lpng -lgsf-1 -lxml2 -lenchant -lgmodule-2.0 -lgoffice-0.8 -lz -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lfreetype -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lintl -L/usr/local/lib -lcairo -pthread   -ljpeg
libtool: link: g++47 -O2 -pipe -mcpu=970 -DLIBICONV_PLUG -Wl,-rpath=/usr/local/lib/gcc47 -fno-strict-aliasing -DLIBICONV_PLUG -Wl,-rpath=/usr/local/lib/gcc47 --no-undefined -Wl,-rpath=/usr/local/lib/gcc47 -o .libs/abiword abiword-UnixMain.o -pthread -Wl,--export-dynamic  -L/usr/local/lib -L/usr/local/lib/gcc47 ./.libs/libabiword-2.8.so /usr/local/lib/libX11.so /usr/local/lib/libxml2.so /usr/local/lib/libenchant.so /usr/local/lib/libgtk-x11-2.0.so /usr/local/lib/libgdk-x11-2.0.so /usr/local/lib/libpangocairo-1.0.so /usr/local/lib/libpangoft2-1.0.so /usr/local/lib/libpango-1.0.so /usr/local/lib/libfontconfig.so /usr/local/lib/libfreetype.so /usr/local/lib/librsvg-2.so -lm /usr/local/lib/libgdk_pixbuf-2.0.so /usr/local/lib/libintl.so /usr/local/lib/libcairo.so /usr/local/lib/libjpeg.so -lfribidi -lgthread-2.0 -lwv -lwmf -lwmflite -lbz2 -lpng -lgsf-1 -lgmodule-2.0 -lgoffice-0.8 -lz -latk-1.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -pthread -Wl,-rpath -Wl,/usr/local/lib
g++47: error: unrecognized command line option '--no-undefined'

I've attached the (mid-truncated) build log.
Comment 1 John Marino freebsd_committer 2014-09-04 16:54:37 UTC
over to maintainer
Comment 2 Ben Woods freebsd_committer 2015-04-04 08:47:55 UTC
Created attachment 155181 [details]
Successful poudriere build log of abiword 3.0.1 with USE_GCC=yes

This problem is fixed with the update of editors/abiword to 3.0.1 submitted in PR199156. The poudriere build log is attached for evidence (note this GCC is no version gcc-4.8.4_1 by default in the ports tree).
Comment 3 commit-hook freebsd_committer 2015-06-18 22:20:46 UTC
A commit references this bug:

Author: truckman
Date: Thu Jun 18 22:20:28 UTC 2015
New revision: 390083
URL: https://svnweb.freebsd.org/changeset/ports/390083

Log:
  Update to 3.0.1, see <http://abisource.org/release-notes/3.0.1.phtml>.

  Add new Abiword collaboration backends for Telepathy and SIP as options.

  Fix improper handling of COLLAB options group.

  Get rid of improper unconditional dependency on converters/psiconv.

  Fix build with gcc.

  Portlint cleanup.

  PR:		199156
  PR:		195452
  PR:		199544
  PR:		193318
  Submitted by:	Ben Woods <woodsb02@gmail.com>
  Approved by:	mat (mentor, implicit)

Changes:
  head/editors/abiword/Makefile
  head/editors/abiword/distinfo
  head/editors/abiword/files/patch-Makefile.in
  head/editors/abiword/files/patch-plugins_bmp_xp_ie_impGraphic_BMP.cpp
  head/editors/abiword/files/patch-plugins_collab_backends_sipsimple_xp_SIPSimpleBuddy.h
  head/editors/abiword/files/patch-plugins_garble_xp_abiword-garble-png.cpp
  head/editors/abiword/files/patch-src_af_util_xp_ut_png.cpp
  head/editors/abiword/files/patch-src_text_ptbl_xp_pd__DocumentRDF.cpp
  head/editors/abiword/files/patch-src_text_ptbl_xp_pd__DocumentRDF.h
  head/editors/abiword/files/patch-src_wp_impexp_gtk_ie_impGraphic_GdkPixbuf.cpp
  head/editors/abiword/files/patch-tls_tunnel.cpp
  head/editors/abiword/pkg-plist